<%@ page language="java" contentType="text/html; charset=utf-8"%>
<%@ page import="java.io.*"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ include file="/jsp/common/include/localemessage.jsp" %>
<%
	response.setHeader("Pragma", "No-cache");
	response.setHeader("Cache-Control", "no-cache");
	response.setHeader("Expires", "0");

%>
<html>
<head>
<title></title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<jsp:include page="/jsp/common/include/css.jsp"/>
<jsp:include page="/jsp/common/include/script.jsp"/>
<script language="javascript" >
var url      = '<c:url value="/onl/admin/service/jmsQueueReceiverMan.json" />';
var url_view = '<c:url value="/onl/admin/service/jmsQueueReceiverMan.view" />';
var url_excel= '<c:url value="/onl/admin/service/jmsQueueReceiverMan.excel" />';

var select_bascQueRcverYnRows = new Array();

function init(callback) {
	$.ajax({
		type : "POST",
		url:url,
		dataType:"json",
		data:{cmd: 'LIST_DETAIL_COMBO'},
		success:function(json){
			new makeOptions("CODE","NAME").setObj($("select[name=searchNomalQueRecvYn]")).setNoValueInclude(true)
			.setNoValue("", "<%=localeMessage.getString("combo.all")%>").setData(json.bascQueRcverYnRows).setFormat(codeName3OptionFormat).rendering();
			select_bascQueRcverYnRows['value'] = ": ;"+getGridSelectText("CODE","NAME",json.bascQueRcverYnRows);
			if (typeof callback === 'function') {
				callback();
			}
		},
		error:function(e){
			alert(e.responseText);
		}
	});
}

function gridRendering() {
	var gridPostData = getSearchForJqgrid("cmd","LIST"); //jqgrid에서는 object 로 
	$('#grid').jqGrid({
		datatype:"json",
		mtype: 'POST',
		url: url,
		postData : gridPostData,
		colNames:['<%=localeMessage.getString("jmsQueueReceiver.queRecvName")%>',
                  '<%=localeMessage.getString("jmsQueueReceiver.inst")%>',
                  '<%=localeMessage.getString("jmsQueueReceiver.queAsynName")%>',
                  '<%=localeMessage.getString("jmsQueueReceiver.queAsynErrName")%>',
                  '<%=localeMessage.getString("jmsQueueReceiver.queMsgSlctDesc")%>',
                  '<%=localeMessage.getString("jmsQueueReceiver.sndDelyTimeVal")%>',
                  '<%=localeMessage.getString("jmsQueueReceiver.sndRetryCnt")%>',
                  '<%=localeMessage.getString("jmsQueueReceiver.queRecvCnt")%>',
                  '<%=localeMessage.getString("jmsQueueReceiver.queRecvCntDesc")%>',
                  '<%=localeMessage.getString("jmsQueueReceiver.nomalQueRecvYn")%>'
                  ],
		colModel:[
				{ name : 'QUERCVERNAME'					, align:'left'	, width:"300px"		,sortable:false  },
				{ name : 'SEVRINSTNCNAME'				, align:'left'  , width:"100px"	},
				{ name : 'NONSYNCZTRANQUENAME'			, align:'left'  , width:"300px"	},
				{ name : 'NONSYNCZTRANOBSTCLQUENAME'	, align:'left'	, width:"200px"	},
				{ name : 'QUEMSGSELCTCTNT'				, align:'left'	},
				{ name : 'SENDDLAYTTMVAL'				, align:'right'	, width:"90px"	},
				{ name : 'SENDRETRALNOTMS'				, align:'right'	, width:"90px"	},
				{ name : 'QUERCVERCNT'					, align:'right'	, width:"90px"	},
				{ name : 'QUERCVERDTALSCTNT'			, align:'left'  },
				{ name : 'BASCQUERCVERYN'				, align:'center', edittype:'select',editoptions : select_bascQueRcverYnRows, formatter:"select"}
				
				],
        jsonReader: {
             repeatitems:false
        },	          
		pager : $('#pager'),
		page : '${param.page}',
		rowNum : '${rmsDefaultRowNum}',
	    autoheight: true,
	    height: $("#container").height(),
		autowidth: true,
		viewrecords: true,
		rowList : eval('[${rmsDefaultRowList}]'),
		gridComplete:function (d){
			var colModel = $(this).getGridParam("colModel");
			for(var i = 0 ; i< colModel.length; i++){
				$(this).setColProp(colModel[i].name, {sortable : false});	//그리드 헤더 화살표 삭제(정렬X)		
			}
		
		},			
		loadComplete:function (d){
		},
        loadError: function (jqXHR, textStatus, errorThrown) {
        	
        	var location ='<%=request.getContextPath()%>/';
        	comloadError(jqXHR, textStatus, errorThrown ,location);
        	
    	},		
		ondblClickRow: function(rowId) {
			var rowData = $(this).getRowData(rowId); 
            var url2 = url_view;
            url2 += '?cmd=DETAIL';
            url2 += '&page='+$(this).getGridParam("page");
            url2 += '&returnUrl='+getReturnUrl();
            url2 += '&menuId='+'${param.menuId}';
			//검색값
            url2 += '&'+getSearchUrl();
            //key값
            url2 += '&queRcverName='+rowData['QUERCVERNAME'];
            goNav(url2);
        }		
	});
	
	
	resizeJqGridWidth('grid','content_middle','1000');
}

$(document).ready(function() {	
	init(gridRendering);
	
	$("#btn_excel").click(function(event) {
        event.stopPropagation(); // Do not propagate the event.
        // Create an object that will manage to download the file.
        var target = "excelDown" ; // iframe의 name
        //(url,cmd,gridObj,formObject,fileName,merge)
		gridToExcelSubmit2(url_excel,"LIST_GRID_TO_EXCEL",$("#grid"),$("#ajaxForm"),'<%=localeMessage.getString("jmsQueueReceiver.title")%>');
		return false;
	});
	$("#btn_search").click(function(){
		var postData = getSearchForJqgrid("cmd","LIST"); //jqgrid에서는 object 로
		$("#grid").setGridParam({ postData: postData ,page : "1" }).trigger("reloadGrid");
	});
	$("#btn_new").click(function(){
		var url2 = url_view;
		url2 += '?cmd=DETAIL';
		url2 += '&page='+$("#grid").getGridParam("page");
		url2 += '&returnUrl='+getReturnUrl();
        url2 += '&menuId='+'${param.menuId}';
		//검색값
		url2 += '&'+getSearchUrl();
		
        goNav(url2);
	});
	//검색값  enter시  조회
	$("input[name^=search]").keydown(function(key){
		if (key.keyCode == 13){
			$("#btn_search").click();
		}
	});

	
	buttonControl();
	
});
 
</script>
</head>
	<body>		
		<div class="right_box">
			<div class="content_top">
				<ul class="path">
					<li><a href="#">${rmsMenuPath}</a></li>					
				</ul>					
			</div><!-- end content_top -->
			<div class="content_middle" id="content_middle">
				<div class="search_wrap">
					<button type="button" class="cssbtn" id="btn_excel" level="W"><i class="material-icons">table_view</i> <%= localeMessage.getString("button.excel") %></button>
					<button type="button" class="cssbtn" id="btn_new" level="W"><i class="material-icons">add</i> <%= localeMessage.getString("button.new") %></button>
					<button type="button" class="cssbtn" id="btn_search" level="R"><i class="material-icons">search</i> <%= localeMessage.getString("button.search") %></button>
<%-- 					<img src="<c:url value="/img/btn_excel.png"/>" id="btn_excel" level="W"/> --%>
<%-- 					<img src="<c:url value="/img/btn_new.png"/>" alt="" id="btn_new" level="W" /> --%>
<%-- 					<img src="<c:url value="/img/btn_search.png"/>" alt="" id="btn_search" level="R" />	 --%>
				</div>
				<div class="title"><%=localeMessage.getString("jmsQueueReceiver.title")%><span class="tooltip"><%=localeMessage.getString("jmsQueueReceiver.tooltip")%></span></div>
				<form id="ajaxForm"  onsubmit="return false;">
					<table class="search_condition" cellspacing=0;>
						<tbody>
							<tr>
								<th style="width:10%; min-width:100px"><%=localeMessage.getString("jmsQueueReceiver.queRecvName")%></th>
								<td>
									<input type="text" name="searchQueRcverName" value="${param.searchQueRcverName}">
								</td>	
								<th style="width:10%; min-width:100px"><%=localeMessage.getString("jmsQueueReceiver.inst")%></th>
								<td>
									<input type="text" name="searchInstance" value="${param.searchInstance}">
								</td>	
								<th style="width:10%; min-width:140px"><%=localeMessage.getString("jmsQueueReceiver.nomalQueRecvYn")%></th>
								<td><div class="select-style"><select name="searchNomalQueRecvYn" /></div></td>
							</tr>						
						</tbody>
					</table>
				</form>
				<table id="grid" ></table>
				<div id="pager"></div>
				
			</div><!-- end content_middle -->
		</div><!-- end right_box -->				
	</body>	
</html>

